0
回答
eclipse 3.6.1 安装maven插件失败的解决办法
终于搞明白,存储TCO原来是这样算的>>>   

一、eclipse 3.6.1下载地址[eclipse-jee-helios-SR1-win32.zip]
http://www.eclipse.org/downloads/packages/eclipse-ide-java-ee-developers/heliossr1

二、插件地址
1、gef 插件地址:
http://download.eclipse.org/tools/gef/updates/interim/

2、subclipse 插件地址:
http://subclipse.tigris.org/update_1.6.x

3、maven2 插件地址:
m2eclipse-core Update Site: http://m2eclipse.sonatype.org/sites/m2e
m2eclipse-extras Update Site: http://m2eclipse.sonatype.org/sites/m2e-extras
注意 :必须两个插件都安装,不安装extras 插件时,点击“run as server”来运行项目时会报错:“the selected did not contain any resources that can run on server maven project”

三、安装时出现问题:
直接在线安装maven2 会出现依赖插件找不到的问题,无法安装。必须先安装gef 插件后才能安装m2eclipse-core 插件,然而安装m2eclipse-extras 插件又依赖subclipse 插件。所以,三个插件的正确的安装顺序是:gef插件 》subclipse插件 》m2eclipse插件。
m2eclipse-core插件 ——依赖——>gef插件
m2eclipse-extras插件 ——依赖——>subclipse插件

 

安装完成后,启动eclipse,你将还会看到如下提示:

安装m2eclipse插件后,重启Eclipse老是提示:

Eclipse is running in a JRE, but a JDK is required

Some Maven plugins may not work when importing projects or updating source folders.

 

-vm配置项必须在 –vmargs配置项前,是因为执行到-vmargs配置项已经选择了一个默认的JVM了。

所以在–vmargs前面加上这一句:

-vm
D:/Java/jdk1.6.0_10/bin/javaw.exe

ok,一切完好。。。

我觉得很好就从iteye转来了,

转自 iteye:http://peirenlei.iteye.com/blog/790331

举报
顶部